VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "VB 6.0 VCCOM Example Application (command channel 3)"
   ClientHeight    =   4860
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   8595
   LinkTopic       =   "Form1"
   ScaleHeight     =   4860
   ScaleWidth      =   8595
   StartUpPosition =   3  'Windows Default
   Begin VB.ListBox ListBoxSession 
      Height          =   2595
      Left            =   240
      TabIndex        =   8
      Top             =   2040
      Width           =   8175
   End
   Begin VB.TextBox EditMessage 
      Height          =   375
      Left            =   2280
      TabIndex        =   7
      Text            =   "Message"
      Top             =   1560
      Width           =   6015
   End
   Begin VB.TextBox EditName 
      Enabled         =   0   'False
      Height          =   375
      Left            =   3120
      TabIndex        =   6
      Top             =   960
      Width           =   5175
   End
   Begin VB.TextBox Id 
      Enabled         =   0   'False
      Height          =   375
      Left            =   3120
      TabIndex        =   5
      Top             =   480
      Width           =   5175
   End
   Begin VB.CommandButton ButtonSendToAll 
      Caption         =   "Send Command"
      Enabled         =   0   'False
      Height          =   375
      Left            =   240
      TabIndex        =   2
      Top             =   1560
      Width           =   1815
   End
   Begin VB.CommandButton ButtonDisconnectSession 
      Caption         =   "Disconnect"
      Enabled         =   0   'False
      Height          =   375
      Left            =   240
      TabIndex        =   1
      Top             =   960
      Width           =   1575
   End
   Begin VB.CommandButton ButtonConnectSession 
      Caption         =   "Connect"
      Height          =   375
      Left            =   240
      TabIndex        =   0
      Top             =   480
      Width           =   1575
   End
   Begin VB.Label Label2 
      Caption         =   "Name"
      Height          =   255
      Left            =   2400
      TabIndex        =   4
      Top             =   960
      Width           =   495
   End
   Begin VB.Label Label1 
      Caption         =   "Id"
      Height          =   255
      Left            =   2400
      TabIndex        =   3
      Top             =   480
      Width           =   495
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'================================================================================================
' VCCOM Session
'
' The VCCOM Session (VCCOMLib.VcComSessionClass) is the main interface into VCCOM. Any
' application that needs to send and receive information needs to connect to this.

' This is the VCCOM Session that is used to send and receive messages.
' Use WithEvents in order to receive the messages via the m_session_VcComReceive function
Private WithEvents m_session As VCCOMLib.VcComSession2
Attribute m_session.VB_VarHelpID = -1
Dim nCounter As Integer

' Connect to a VCCOM Session
Private Sub ButtonConnectSession_Click()
    ' Create a new VCCOM Session
    Set m_session = New VCCOMLib.VcComSession2
    
    ' NOTE CHANNEL NUMBER *****************************
    ' Set the Channel 2, three channels available 0,1 and 2
    m_session.channel = 2
    
    ' Enable, disable all the buttons as required.
    If m_session Is Nothing Then
        ListBoxSession.AddItem ("**** Connection to session failed")
    Else
        ListBoxSession.AddItem ("Session connected, id = " + m_session.Id)
        ButtonConnectSession.Enabled = False
        ButtonDisconnectSession.Enabled = True
        EditName.Enabled = True
        EditName.Text = m_session.name
        Id.Text = m_session.Id
        ButtonSendToAll.Enabled = True
        nCounter = 0
    End If
End Sub

' Disconnect the VCCOM Session
Private Sub ButtonDisconnectSession_Click()
    ' Set the session to nothing - this disconnects the session
    Set m_session = Nothing
    ' Note that the session has been disconnected (visual display of information)
    ListBoxSession.AddItem ("Session disconnected")
    ' Enable,disable the buttons on the user interface.
    ButtonConnectSession.Enabled = True
    ButtonDisconnectSession.Enabled = False
    EditName.Enabled = False
    ButtonSendToAll.Enabled = False
    Id.Text = ""
End Sub

' Send message to all other applications that are conected to VCCOM
Private Sub ButtonSendToAll_Click()
    ' DO NOT SEND A .Text if it is blank
    If (EditMessage.Text = "") Then
        m_session.SendToAll ""
    Else
        m_session.SendToAll EditMessage.Text
    End If
End Sub

' Record our name change
Private Sub EditName_Change()
    ' DO NOT SEND A .Text if it is blank
    Dim myName As String
    If (EditName.Text = "") Then
        myName = ""
    Else
        myName = EditName.Text
    End If
    If (EditName.Enabled = True) Then
        m_session.name = myName
    End If
End Sub

Private Sub Id_Change()
    If (Id.Enabled = True) Then
        If Not (Id.Text = m_session.Id) Then
            MsgBox "You cannot change this Id, it is assigned by VCCOM to your application"
            Id.Text = m_session.Id
        End If
    End If
End Sub



' Called when a message is sent to this application
' This can be via calls to:
'   SendToAll
'   SendToName
'   SendToId
Private Sub m_session_VcComReceive(ByVal name As String, ByVal Id As String, ByVal message As String)
    Dim nIdx As Integer
    Dim msg As String
    msg = "Receive: from " + name + ", " + Id + " message " + message
    ListBoxSession.AddItem msg
    ListBoxSession.ListIndex = ListBoxSession.ListCount - 1
End Sub

